]> err.no Git - util-linux/commitdiff
tests: add mount --move test
authorKarel Zak <kzak@redhat.com>
Thu, 26 Apr 2007 13:10:00 +0000 (15:10 +0200)
committerKarel Zak <kzak@redhat.com>
Thu, 26 Apr 2007 13:10:00 +0000 (15:10 +0200)
Signed-off-by: Karel Zak <kzak@redhat.com>
tests/Makefile.am
tests/expected/ts-mount-move [new file with mode: 0644]
tests/ts-mount-move [new file with mode: 0755]

index 79b43d36ee52a331d0c6a1a2331ca7e5a70349d3..d4d8a981bf408424b96e33a00b934fbf956ca7b9 100644 (file)
@@ -20,7 +20,8 @@ EXTRA_DIST =  expected/* \
                ts-login-checktty \
                ts-hwclock-systohc \
                ts-mount-special \
-               ts-mount-mtablock
+               ts-mount-mtablock \
+               ts-mount-move
 
 distclean-local:
        rm -rf output diff
diff --git a/tests/expected/ts-mount-move b/tests/expected/ts-mount-move
new file mode 100644 (file)
index 0000000..3582111
--- /dev/null
@@ -0,0 +1 @@
+Success
diff --git a/tests/ts-mount-move b/tests/ts-mount-move
new file mode 100755 (executable)
index 0000000..aa253b7
--- /dev/null
@@ -0,0 +1,61 @@
+#!/bin/bash
+
+#
+# test for mount --move and --bind
+#
+
+. commands.sh
+. functions.sh
+
+TS_COMPONENT="mount"
+TS_DESC="move "
+
+ts_init
+
+if [ $UID != 0 ]; then
+       ts_skip "not root permissions"
+fi
+
+touch $TS_OUTPUT
+
+PWD=$(pwd)
+
+DIR_SRC="$PWD/$TS_OUTDIR/mnt-move-src"
+DIR_A="$PWD/$TS_OUTDIR/mnt-move-A"
+DIR_B="$PWD/$TS_OUTDIR/mnt-move-B"
+
+mkdir $DIR_SRC $DIR_A $DIR_B
+
+# bind
+$TS_CMD_MOUNT --bind $DIR_SRC $DIR_A
+
+# check the bind
+egrep -q "^$DIR_SRC $DIR_A" /etc/mtab
+
+if [ "$?" != "0" ]; then
+        echo "Cannot found binded $DIR_SRC in /etc/mtab" >> $TS_OUTPUT
+       rmdir $DIR_SRC $DIR_A $DIR_B
+        ts_finalize
+fi
+
+# move
+$TS_CMD_MOUNT --move $DIR_A $DIR_B
+
+# check the move
+egrep -q "^$DIR_SRC $DIR_B" /etc/mtab
+
+if [ "$?" != "0" ]; then
+        echo "Cannot found moved $DIR_SRC in /etc/mtab" >> $TS_OUTPUT
+       $TS_CMD_UMOUNT $DIR_SRC
+       rmdir $DIR_SRC $DIR_A $DIR_B
+        ts_finalize
+fi
+
+# clean up
+$TS_CMD_UMOUNT $DIR_SRC
+rmdir $DIR_SRC $DIR_A $DIR_B
+
+echo "Success" >> $TS_OUTPUT
+
+ts_finalize
+